<?php
/**
 * ReDJ component for Joomla! 1.5
 *
 * @author Luigi Balzano (info@sistemistica.it)
 * @package ReDJ
 * @copyright Copyright 2009 - 2010
 * @license GNU Public License
 * @link http://www.sistemistica.it
 * @version 1.5.2 Community
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport( 'joomla.application.component.controller' );

/**
 * ReDJ Controller Referers
 *
 * @package ReDJ
 *
 */
class ReDJControllerReferers extends JController
{
    function __construct()
    {
        parent::__construct();

        // Register Extra tasks
        $this->registerTask( 'about', 'about' );
    }

    function display( )
    {
        JRequest::setVar( 'view'  , 'referers' );
        parent::display();
    }

    function remove()
    {
        JRequest::checkToken() or jexit( 'invalid token' );

        $cid = JRequest::getVar( 'cid', array(), 'post', 'array' );
        JArrayHelper::toInteger($cid);

        if (count( $cid ) < 1) {
            JError::raiseError(500, JText::_( 'Select an item to delete' ) );
        }

        $model = $this->getModel('itemreferers');
        if(!$model->delete($cid)) {
            echo "<script> alert('".$model->getError(true)."'); window.history.go(-1); </script>\n";
        }

        $this->setRedirect( 'index.php?option=com_redj&controller=referers' );
    }

    function purge()
    {
        JRequest::checkToken() or jexit( 'invalid token' );

        $model = $this->getModel('itemreferers');
        if(!$model->purge()) {
            echo "<script> alert('".$model->getError(true)."'); window.history.go(-1); </script>\n";
        }

        $this->setRedirect( 'index.php?option=com_redj&controller=referers' );
    }
}
?>
